<?php
// ActionChainBuilder.php
include_once('core/base/ActionChain.php');

/**
 * Builds an action chain to fulfill a specific request.
 *
 *
 */
class ActionChainBuilder
{
	// ModuleController
	var $con;
	
	
	/**
	 * Constructor.
	 *
	 * @access public
	 * @return void
	 */
	function ActionChainBuilder(& $controller)
	{
		$this->con =& $controller;
	}
	
	
	/**
	 * Returns an action chain to fulfill a specific request.
	 *
	 *
	 */
	function & buildActionChain()
	{
		trigger_error(__ERROR."ActionChainBuilder:buildActionChain() must be overridden in subclass.");
	}
	
	
}
?>